=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://gnupg.org/ftp/gcrypt/qgpgme/qgpgme@ANY_VERSION@@ARCHIVE_EXT@
